<template>
  <li class="alerte">
    <div :class="`onglet mt-background-type-${alerte.typeActivite.codeCss}`"></div>
    <div class="titre-description">
      <div class="titre">{{ titre }}</div>
      <div class="description">{{ description }}</div>
      <div v-if="commentaire" class="description">
        <i>{{ commentaire }}</i>
      </div>
      <slot></slot>
      <div v-if="alerte.activite.id">
        <nuxt-link
          v-if="alerte.partage"
          class=""
          :to="profilLink({ name: 'activites-id-partage-activite', params: { id: alerte.activite.token } })"
          @click.native="$emit('toggle')"
        >
          Créer une activité partagée
        </nuxt-link>
        <nuxt-link
          v-else
          class=""
          :to="profilLink({ name: 'activites-id', params: { id: alerte.activite.id } })"
          @click.native="$emit('toggle')"
        >
          Voir l'activité
        </nuxt-link>
      </div>
    </div>
    <time class="anciennete" :title="dateHeure">{{ calculerAncienneteDate(alerte.dateAlerte) }}</time>
  </li>
</template>

<script>
import { DateTime } from 'luxon';
import alerteMixin from '~/components/mixins/alerteMixin';

export default {
  name: 'MtAlerte',
  mixins: [alerteMixin],
  props: {
    alerte: {
      type: Object,
      default: () => ({}),
    },
    titre: {
      type: String,
      default: '',
    },
    description: {
      type: String,
      default: '',
    },
    commentaire: {
      type: String,
      default: '',
    },
  },
  computed: {
    dateHeure() {
      const dt = DateTime.fromISO(this.alerte.dateAlerte).setLocale('fr');
      return dt.toFormat('dd/MM/yyyy HH:mm');
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.alerte {
  display: grid;
  grid-template-columns: 4px 2fr 1fr;
  grid-column-gap: 0.5rem;
  margin: 0 1em;
  border-bottom: 1px solid $pale-grey-two-2;
  font-size: 0.9375rem;
  color: $grey-dark;
  line-height: 1.1;
  transition-property: background-color;
  transition-duration: 0.3s;
  cursor: default;

  a {
    padding: 0.3em 0;
    text-decoration: underline;
  }

  &.non-lu {
    background-color: $alerte-non-lue;
    &:hover {
      background-color: #f1f4fd;
    }
  }

  &:hover {
    background-color: #f5f5f5;
  }

  .onglet {
    border-radius: 0 8px 8px 0;
    background-color: transparent;
  }

  .titre-description {
    display: flex;
    flex-direction: column;
    padding: 0.5em 0;
    line-height: 1.2;
  }

  .titre {
    font-weight: bold;
  }

  i::before {
    content: open-quote;
    margin-right: 0.2em;
  }
  i::after {
    content: close-quote;
    margin-left: 0.2em;
  }

  .anciennete {
    padding: 0.83em 1em 0 0;
    font-size: 0.75rem;
    text-align: right;
    color: #959595;
  }
}
@media screen and (max-width: 768px) {
  .alerte {
    margin: 0;
  }
}
</style>
